# SquareConnect.Dispute

### Description
**Note: This model is in beta.**

Represents a dispute a cardholder initiated with their bank.

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**dispute_id** | **String** | Unique ID for this &#x60;Dispute&#x60;, generated by Square. | [optional] 
**amount_money** | [**Money**](Money.md) | The disputed amount. The amount can be less than the entire transaction amount. For example, a cardholder purchased multiple items, however initiated dispute only for some of the items. | [optional] 
**reason** | **String** | The dispute reason why cardholder initiated dispute with their bank. See [DisputeReason](#type-disputereason) for possible values | [optional] 
**state** | **String** | The current state of this dispute. See [DisputeState](#type-disputestate) for possible values | [optional] 
**due_at** | **String** | The time when the next action is due, in RFC 3339 format. | [optional] 
**disputed_payment** | [**DisputedPayment**](DisputedPayment.md) | The payment challenged in this dispute. | [optional] 
**evidence_ids** | **[String]** | The IDs of the evidence associated with the dispute. | [optional] 
**card_brand** | **String** | The card brand used in the disputed payment. See [CardBrand](#type-cardbrand) for possible values | [optional] 
**created_at** | **String** | Timestamp when the dispute was created, in RFC 3339 format. | [optional] 
**updated_at** | **String** | Timestamp when dispute was last updated, in RFC 3339 format. | [optional] 
**brand_dispute_id** | **String** | ID of the dispute in the card brand system, generated by the card brand. | [optional] 
**reported_date** | **String** | Timestamp when the dispute was reported, in RFC 3339 format. | [optional] 
**version** | **Number** | The current version of the &#x60;Dispute&#x60;. | [optional] 
**location_id** | **String** | The ID of location where dispute originated. | [optional] 


