/**
 * Square Connect API
 * Client library for accessing the Square Connect APIs
 *
 * OpenAPI spec version: 2.0
 * Contact: developers@squareup.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.3.0-SNAPSHOT
 *
 */
var ApiClient = require('../ApiClient');
var BreakType = require('./BreakType');




/**
 * The CreateBreakTypeRequest model module.
 * @module model/CreateBreakTypeRequest
 */

/**
 * Constructs a new <code>CreateBreakTypeRequest</code>.
 * A request to create a new &#x60;BreakType&#x60;
 * @alias module:model/CreateBreakTypeRequest
 * @class
 * @param breakType {module:model/BreakType} The `BreakType` to be created.
 */
var exports = function(breakType) {
  var _this = this;


  _this['break_type'] = breakType;
};

/**
 * Constructs a <code>CreateBreakTypeRequest</code> from a plain JavaScript object, optionally creating a new instance.
 * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
 * @param {Object} data The plain JavaScript object bearing properties of interest.
 * @param {module:model/CreateBreakTypeRequest} obj Optional instance to populate.
 * @return {module:model/CreateBreakTypeRequest} The populated <code>CreateBreakTypeRequest</code> instance.
 */
exports.constructFromObject = function(data, obj) {
  if (data) {
    obj = obj || new exports();

      if (data.hasOwnProperty('idempotency_key')) {
      obj['idempotency_key'] = ApiClient.convertToType(data['idempotency_key'], 'String');
    }
      if (data.hasOwnProperty('break_type')) {
      obj['break_type'] = BreakType.constructFromObject(data['break_type']);
    }
    }
  return obj;
}

/**
 * Unique string value to insure idempotency of the operation
 * @member {String} idempotency_key
 */
exports.prototype['idempotency_key'] = undefined;
/**
 * The `BreakType` to be created.
 * @member {module:model/BreakType} break_type
 */
exports.prototype['break_type'] = undefined;



module.exports = exports;



