/**
 * Square Connect API
 * Client library for accessing the Square Connect APIs
 *
 * OpenAPI spec version: 2.0
 * Contact: developers@squareup.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.3.0-SNAPSHOT
 *
 */
var ApiClient = require('../ApiClient');




/**
 * The DisputeEvidence model module.
 * Note: This model is in beta.
 * @module model/DisputeEvidence
 */

/**
 * Constructs a new <code>DisputeEvidence</code>.
 * 
 * @alias module:model/DisputeEvidence
 * @class
 */
var exports = function() {
  var _this = this;





};

/**
 * Constructs a <code>DisputeEvidence</code> from a plain JavaScript object, optionally creating a new instance.
 * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
 * @param {Object} data The plain JavaScript object bearing properties of interest.
 * @param {module:model/DisputeEvidence} obj Optional instance to populate.
 * @return {module:model/DisputeEvidence} The populated <code>DisputeEvidence</code> instance.
 */
exports.constructFromObject = function(data, obj) {
  if (data) {
    obj = obj || new exports();

      if (data.hasOwnProperty('evidence_id')) {
      obj['evidence_id'] = ApiClient.convertToType(data['evidence_id'], 'String');
    }
      if (data.hasOwnProperty('dispute_id')) {
      obj['dispute_id'] = ApiClient.convertToType(data['dispute_id'], 'String');
    }
      if (data.hasOwnProperty('uploaded_at')) {
      obj['uploaded_at'] = ApiClient.convertToType(data['uploaded_at'], 'String');
    }
      if (data.hasOwnProperty('evidence_type')) {
      obj['evidence_type'] = ApiClient.convertToType(data['evidence_type'], 'String');
    }
    }
  return obj;
}

/**
 * The Square-generated ID of the evidence.
 * @member {String} evidence_id
 */
exports.prototype['evidence_id'] = undefined;
/**
 * The ID of the dispute the evidence is associated with.
 * @member {String} dispute_id
 */
exports.prototype['dispute_id'] = undefined;
/**
 * The time when the next action is due, in RFC 3339 format.
 * @member {String} uploaded_at
 */
exports.prototype['uploaded_at'] = undefined;
/**
 * The type of the evidence. See [DisputeEvidenceType](#type-disputeevidencetype) for possible values
 * @member {String} evidence_type
 */
exports.prototype['evidence_type'] = undefined;



module.exports = exports;



