/**
 * Square Connect API
 * Client library for accessing the Square Connect APIs
 *
 * OpenAPI spec version: 2.0
 * Contact: developers@squareup.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.3.0-SNAPSHOT
 *
 */
var ApiClient = require('../ApiClient');
var Error = require('./Error');
var LoyaltyProgram = require('./LoyaltyProgram');




/**
 * The ListLoyaltyProgramsResponse model module.
 * Note: This model is in beta.
 * @module model/ListLoyaltyProgramsResponse
 */

/**
 * Constructs a new <code>ListLoyaltyProgramsResponse</code>.
 * A response that contains all loyalty programs.
 * @alias module:model/ListLoyaltyProgramsResponse
 * @class
 */
var exports = function() {
  var _this = this;



};

/**
 * Constructs a <code>ListLoyaltyProgramsResponse</code> from a plain JavaScript object, optionally creating a new instance.
 * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
 * @param {Object} data The plain JavaScript object bearing properties of interest.
 * @param {module:model/ListLoyaltyProgramsResponse} obj Optional instance to populate.
 * @return {module:model/ListLoyaltyProgramsResponse} The populated <code>ListLoyaltyProgramsResponse</code> instance.
 */
exports.constructFromObject = function(data, obj) {
  if (data) {
    obj = obj || new exports();

      if (data.hasOwnProperty('errors')) {
      obj['errors'] = ApiClient.convertToType(data['errors'], [Error]);
    }
      if (data.hasOwnProperty('programs')) {
      obj['programs'] = ApiClient.convertToType(data['programs'], [LoyaltyProgram]);
    }
    }
  return obj;
}

/**
 * Any errors that occurred during the request.
 * @member {Array.<module:model/Error>} errors
 */
exports.prototype['errors'] = undefined;
/**
 * A list of `LoyaltyProgram` for the merchant.
 * @member {Array.<module:model/LoyaltyProgram>} programs
 */
exports.prototype['programs'] = undefined;



module.exports = exports;



