/**
 * Square Connect API
 * Client library for accessing the Square Connect APIs
 *
 * OpenAPI spec version: 2.0
 * Contact: developers@squareup.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.3.0-SNAPSHOT
 *
 */
var ApiClient = require('../ApiClient');




/**
 * The LoyaltyEventAccumulatePoints model module.
 * Note: This model is in beta.
 * @module model/LoyaltyEventAccumulatePoints
 */

/**
 * Constructs a new <code>LoyaltyEventAccumulatePoints</code>.
 * Provides metadata when the event &#x60;type&#x60; is &#x60;ACCUMULATE_POINTS&#x60;.
 * @alias module:model/LoyaltyEventAccumulatePoints
 * @class
 */
var exports = function() {
  var _this = this;




};

/**
 * Constructs a <code>LoyaltyEventAccumulatePoints</code> from a plain JavaScript object, optionally creating a new instance.
 * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
 * @param {Object} data The plain JavaScript object bearing properties of interest.
 * @param {module:model/LoyaltyEventAccumulatePoints} obj Optional instance to populate.
 * @return {module:model/LoyaltyEventAccumulatePoints} The populated <code>LoyaltyEventAccumulatePoints</code> instance.
 */
exports.constructFromObject = function(data, obj) {
  if (data) {
    obj = obj || new exports();

      if (data.hasOwnProperty('loyalty_program_id')) {
      obj['loyalty_program_id'] = ApiClient.convertToType(data['loyalty_program_id'], 'String');
    }
      if (data.hasOwnProperty('points')) {
      obj['points'] = ApiClient.convertToType(data['points'], 'Number');
    }
      if (data.hasOwnProperty('order_id')) {
      obj['order_id'] = ApiClient.convertToType(data['order_id'], 'String');
    }
    }
  return obj;
}

/**
 * The ID of the `loyalty program`.
 * @member {String} loyalty_program_id
 */
exports.prototype['loyalty_program_id'] = undefined;
/**
 * The number of points accumulated by the event.
 * @member {Number} points
 */
exports.prototype['points'] = undefined;
/**
 * The ID of the `order` for which the buyer accumulated the points. This field is returned only if the Orders API is used to process orders.
 * @member {String} order_id
 */
exports.prototype['order_id'] = undefined;



module.exports = exports;



