/**
 * Square Connect API
 * Client library for accessing the Square Connect APIs
 *
 * OpenAPI spec version: 2.0
 * Contact: developers@squareup.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.3.0-SNAPSHOT
 *
 */
var ApiClient = require('../ApiClient');
var LoyaltyEventQuery = require('./LoyaltyEventQuery');




/**
 * The SearchLoyaltyEventsRequest model module.
 * Note: This model is in beta.
 * @module model/SearchLoyaltyEventsRequest
 */

/**
 * Constructs a new <code>SearchLoyaltyEventsRequest</code>.
 * A request to search for loyalty events.
 * @alias module:model/SearchLoyaltyEventsRequest
 * @class
 */
var exports = function() {
  var _this = this;




};

/**
 * Constructs a <code>SearchLoyaltyEventsRequest</code> from a plain JavaScript object, optionally creating a new instance.
 * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
 * @param {Object} data The plain JavaScript object bearing properties of interest.
 * @param {module:model/SearchLoyaltyEventsRequest} obj Optional instance to populate.
 * @return {module:model/SearchLoyaltyEventsRequest} The populated <code>SearchLoyaltyEventsRequest</code> instance.
 */
exports.constructFromObject = function(data, obj) {
  if (data) {
    obj = obj || new exports();

      if (data.hasOwnProperty('query')) {
      obj['query'] = LoyaltyEventQuery.constructFromObject(data['query']);
    }
      if (data.hasOwnProperty('limit')) {
      obj['limit'] = ApiClient.convertToType(data['limit'], 'Number');
    }
      if (data.hasOwnProperty('cursor')) {
      obj['cursor'] = ApiClient.convertToType(data['cursor'], 'String');
    }
    }
  return obj;
}

/**
 * A set of one or more predefined query filters to apply when  searching for loyalty events. The endpoint performs a logical AND to  evaluate multiple filters and performs a logical OR on arrays   that specifies multiple field values.
 * @member {module:model/LoyaltyEventQuery} query
 */
exports.prototype['query'] = undefined;
/**
 * The maximum number of results to include in the response.  The last page might contain fewer events.  The default is 30 events.
 * @member {Number} limit
 */
exports.prototype['limit'] = undefined;
/**
 * A pagination cursor returned by a previous call to this endpoint. Provide this to retrieve the next set of results for your original query. For more information, see [Pagination](https://developer.squareup.com/docs/docs/basics/api101/pagination).
 * @member {String} cursor
 */
exports.prototype['cursor'] = undefined;



module.exports = exports;



